components:
  schemas:
    MemoryChunks_v1_0_8_AddressRangeType:
      enum:
      - Volatile
      - PMEM
      - Block
      type: string
      x-enumDescriptions:
        Block: Block accessible memory.
        PMEM: Byte accessible persistent memory.
        Volatile: Volatile memory.
    MemoryChunks_v1_0_8_InterleaveSet:
      additionalProperties: false
      description: This an interleave set for a memory chunk.
      properties:
        Memory:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: Describes a memory device of the interleave set.
          readOnly: true
          x-longDescription: This property shall contain the memory device to which
            these settings apply.
        MemoryLevel:
          description: Level of the interleave set for multi-level tiered memory.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the level of this interleave
            set for multi-level tiered memory.
        OffsetMiB:
          description: Offset within the DIMM that corresponds to the start of this
            memory region, measured in mebibytes (MiB).
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the offset within the DIMM
            that corresponds to the start of this memory region, with units in MiB.
          x-units: MiBy
        RegionId:
          description: DIMM region identifier.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the DIMM region identifier.
        SizeMiB:
          description: Size of this memory region measured in mebibytes (MiB).
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the size of this memory region,
            with units in MiB.
          x-units: MiBy
      type: object
      x-longDescription: This type shall describe an interleave set of which the memory
        chunk is a part.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryChunks_v1_0_8_MemoryChunks:
      additionalProperties: false
      description: The schema definition of a memory chunk and its configuration.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AddressRangeType:
          $ref: '#/components/schemas/MemoryChunks_v1_0_8_AddressRangeType'
          description: Memory type of this memory chunk.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the type of memory chunk.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InterleaveSets:
          description: The interleave sets for the memory chunk.
          items:
            $ref: '#/components/schemas/MemoryChunks_v1_0_8_InterleaveSet'
          type: array
          x-longDescription: These properties shall represent the interleave sets
            for the memory chunk.  If not specified by the client during a create
            operation, the memory chunk shall be created across all available memory
            within the memory domain.
        IsMirrorEnabled:
          description: An indication of whether memory mirroring is enabled for this
            memory chunk.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether memory mirroring
            is enabled for this memory chunk.
        IsSpare:
          description: An indication of whether sparing is enabled for this memory
            chunk.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether sparing is enabled
            for this memory chunk.
        MemoryChunkSizeMiB:
          description: Size of the memory chunk measured in mebibytes (MiB).
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the size of the memory chunk
            in MiB.
          x-units: MiBy
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
      required:
      - AddressRangeType
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent memory chunks and interleave
        sets in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#MemoryChunks.v1_0_8.MemoryChunks'
x-copyright: Copyright 2014-2022 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2016.2'
